Show / Hide Table of Contents

# Class OpenIddictValidationAspNetCoreOptions

Provides various settings needed to configure the OpenIddict ASP.NET Core validation integration.

##### Inheritance

System.Object
OpenIddictValidationAspNetCoreOptions

###### Namespace: OpenIddict.Validation.AspNetCore

###### Assembly: cs.temp.dll.dll

##### Syntax

    public class OpenIddictValidationAspNetCoreOptions : AuthenticationSchemeOptions

### Properties

#### Realm

Gets or sets the optional "realm" value returned to the caller as part of the WWW-Authenticate header.

##### Declaration

    public string Realm { get; set; }

##### Property Value

Type | Description
--- | ---
System.String |